CRMchat APIBeta
Telegram APIPhone

phone.sendGroupCallMessage

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/phone.sendGroupCallMessage

Send an in-call message to all participants of a video chat/livestream or live story, including in RTMP mode, see here » for more info. The send_as field can only be populated for live stories, where it optionally selects the displayed author. If omitted, the server automatically selects the appropriate author. Do not populate it for video chats/livestreams. Video chats/livestreams and live stories support animated emoji reactions », encoded as messages containing only a standard available reaction emoji or a single custom emoji entity. For a paid live story comment, pass the user-confirmed donation amount in allow_paid_stars. For commenters other than the live story owner, this amount must be at least the current RawGroupCall.send_paid_messages_stars minimum. A higher amount may be donated to highlight the comment. The live story owner may comment without populating allow_paid_stars. To send a standalone paid live story donation, pass a positive allow_paid_stars value and an empty message, see here » for the full flow.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Send an in-call message to all participants of a video chat/livestream or live story, including in RTMP mode, see here » for more info. The send_as field can only be populated for live stories, where it optionally selects the displayed author. If omitted, the server automatically selects the appropriate author. Do not populate it for video chats/livestreams. Video chats/livestreams and live stories support animated emoji reactions », encoded as messages containing only a standard available reaction emoji or a single custom emoji entity. For a paid live story comment, pass the user-confirmed donation amount in allow_paid_stars. For commenters other than the live story owner, this amount must be at least the current RawGroupCall.send_paid_messages_stars minimum. A higher amount may be donated to highlight the comment. The live story owner may comment without populating allow_paid_stars. To send a standalone paid live story donation, pass a positive allow_paid_stars value and an empty message, see here » for the full flow.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.sendGroupCallMessage" \  -H "Content-Type: application/json" \  -d '{    "params": {      "call": {        "_": "inputGroupCall",        "id": "string",        "accessHash": "string"      },      "randomId": "string",      "message": {        "_": "textWithEntities",        "text": "string",        "entities": [          {            "_": "messageEntityUnknown",            "offset": 0,            "length": 0          }        ]      }    }  }'
{  "result": {    "_": "updatesTooLong"  }}